Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPEC2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPEC2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPEC2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPEC2 ;ALB/CMM - Detail List of Pts & Enroll Clinics Continued ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,140,174,177,526**;AUG 13, 1993;Build 8
+ ;;5.3;Scheduling;**41,140,174,177**;AUG 13, 1993
  ;
  ;Detailed Listing of Patients and Their Enrolled Clinics Report
@@ -106,5 +106,5 @@
  S HLD="H1"
  S @STORE@("SUBHEADER",HLD)="Patient Name"
- S $E(@STORE@("SUBHEADER",HLD),16)="Pt ID"
+ S $E(@STORE@("SUBHEADER",HLD),18)="Pt ID"
  S $E(@STORE@("SUBHEADER",HLD),25)="Stat"
  S $E(@STORE@("SUBHEADER",HLD),31)="Elig"
@@ -129,7 +129,7 @@
  ;CIEN - clinic ien
  ;
- S @STORE@(INS,TIEN,CIEN,PTIEN)=$E($P(PDATA,"^"),1,12) ;patient name
- S $E(@STORE@(INS,TIEN,CIEN,PTIEN),14)=$P(PDATA,"^",2) ;primary long id 9 digit
- S $E(@STORE@(INS,TIEN,CIEN,PTIEN),26)=$P(PDATA,"^",3) ;means test category
+ S @STORE@(INS,TIEN,CIEN,PTIEN)=$E($P(PDATA,"^"),1,15) ;patient name
+ S $E(@STORE@(INS,TIEN,CIEN,PTIEN),18)=$E($P(PDATA,"^",2),6,10) ;primary long id last 4 plus P
+ S $E(@STORE@(INS,TIEN,CIEN,PTIEN),25)=$P(PDATA,"^",3) ;means test category
  S $E(@STORE@(INS,TIEN,CIEN,PTIEN),31)=$P(PDATA,"^",4) ;primary eligibility
  ;Removed by patch 174
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPITP.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPITP.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPITP.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPITP ;ALB/CMM - Individual Team Profile ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,52,177,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,52,177**;AUG 13, 1993
  ;
  ;Individual Team Profile
@@ -105,5 +105,5 @@
  ;
 PRINTIT(STORE,TITL) ;
- N INST,EINST,ETEAM,TEM,NEW,PAGE,TNAME,TIEN,EN,SUB,POS,CIEN,INF,ACL
+ N INST,EINST,ETEAM,TEM,NEW,PAGE,TNAME,TIEN,EN,SUB,POS,CIEN,INF
  S (INST,EINST)="",STOP=0,(PAGE,NEW)=1 W:$E(IOST)="C" @IOF
  D FORHEAD^SCRPITP2
@@ -136,14 +136,9 @@
  ..I $Y<IOSL-10 D COLUMN^SCRPITP2
  ..F  S POS=$O(@STORE@(INST,TIEN,"P",POS)) Q:POS=""!(STOP)  D
+ ...I IOST'?1"C-".E,$Y>(IOSL-5) D NEWP1^SCRPU3(.PAGE,TITL,132) Q:STOP  D CONT^SCRPITP2
+ ...I IOST?1"C-".E,$Y>(IOSL-5) D HOLD^SCRPU3(.PAGE,TITL,132) Q:STOP  D CONT^SCRPITP2
+ ...I STOP Q
  ...W !,$G(@STORE@(INST,TIEN,"P",POS))
- ...S ACL=""
- ...F  S ACL=$O(@STORE@(INST,TIEN,"P",POS,ACL)) Q:ACL=""!(STOP)  D
- ....W !,$G(@STORE@(INST,TIEN,"P",POS,ACL))
- ....I IOST'?1"C-".E,$Y>(IOSL-5) D NEWP1^SCRPU3(.PAGE,TITL,132) Q:STOP  D CONT^SCRPITP2
- ....I IOST?1"C-".E,$Y>(IOSL-5) D HOLD^SCRPU3(.PAGE,TITL,132) Q:STOP  D CONT^SCRPITP2
- ....I STOP Q
- ...;W !,$G(@STORE@(INST,TIEN,"P",POS))
- ...;W !,$G(@STORE@(INST,TIEN,"P",POS,ACL))
- ...W !
+ ..W !
  I 'STOP,$E(IOST)="C" N DIR S DIR(0)="E" W ! D ^DIR
  Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPITP2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPITP2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPITP2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPITP2 ;ALB/CMM - Individual Team Profile Continued ;7/25/99  18:24
- ;;5.3;Scheduling;**41,177,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,177**;AUG 13, 1993
  ;
  ;Individual Team Profile
@@ -16,5 +16,5 @@
  S POS=$P(TNODE,"^") ;position name
  S ROL=$P($G(^SD(403.46,+$P(TNODE,"^",3),0)),"^") ;standard position
- S PPC=$S($P(TNODE,"^",4)'=1:"NPC",+$$OKPREC3^SCMCLK(TPOS,DT)>0:" AP",1:"PCP") ;primary care position
+ S PPC=$S($P(TNODE,"^",4)'=1:"NPC",+$$OKPREC3^SCMCLK(TPOS,DT)>1:" AP",1:"PCP") ;primary care position
  S MAX=$P(TNODE,"^",8)
  ;
@@ -24,17 +24,10 @@
  S SCPTASS=$$PCPOSCNT^SCAPMCU1(TPOS,DT,0)
  ;
- ;D FORMAT(POS,PPC,MAX,DIV,TM,TPOS,ROL,SCPROV,SCPTASS)
+ S CIEN=+$P(TNODE,"^",9) ;clinic ien
+ S PCLIN=""
+ I CIEN>0 S PCLIN=$P($G(^SC(CIEN,0)),"^") ;associated clinic
  ;
- D SETASCL^SCRPRAC2(TPOS,.CNAME,.CLIEN)
- S CNAME=$G(CNAME(0))
- ;S CIEN=+$P(TNODE,"^",9) ;clinic ien ;USING MULTIPLE WITH SD*5.3*520
- ;S PCLIN=""
- ;I CIEN>0 S PCLIN=$P($G(^SC(CIEN,0)),"^") ;associated clinic
+ D FORMAT(POS,PPC,MAX,DIV,TM,TPOS,ROL,PCLIN,SCPROV,SCPTASS)
  ;
- D FORMAT(POS,PPC,MAX,DIV,TM,TPOS,ROL,CNAME,SCPROV,SCPTASS)
- N AC
- S AC=0
- F  S AC=$O(CNAME(AC)) Q:AC=""  D FORMATAC(POS,DIV,TM,TPOS,CNAME(AC))
- K CNAME
  Q
  ;
@@ -101,9 +94,5 @@
  S $E(@STORE@(DIV,TM,"P",POS),82)=$J(MAX,6,0) ;number of patients allowed
  S $E(@STORE@(DIV,TM,"P",POS),92)=$J(SCPTASS,6,0) ;patients assigned
- S $E(@STORE@(DIV,TM,"P",POS),103)=$E(CNAME,1,30)
- Q
- ;
-FORMATAC(POS,DIV,TM,TPOS,CNAME) ;clinic name
- S $E(@STORE@(DIV,TM,"P",POS,AC),103)=$E(CNAME,1,30)
+ S $E(@STORE@(DIV,TM,"P",POS),103)=$E(CNAME,1,30) ;clinic name
  Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPPAT2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPPAT2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPPAT2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPPAT2 ;ALB/CMM - Practitioner's Patients ; 12/12/00 3:46pm
- ;;5.3;Scheduling;**41,48,174,181,177,231,433,297,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,48,174,181,177,231,433,297**;AUG 13, 1993
  ;
  ;Listing of Practitioner's Patients
@@ -26,6 +26,6 @@
  ;ARY - array of patients for selected practitioner
  ;PRAC - practitioner ien
- N NXT,PIEN,TPIEN,PNAME,TPIEN,NODE,PTP,TPI,TPN,CLIEN,PTA,PTAN,TIEN
- N PC,TNODE,TNAME,PINF,POSN,PRCP,CNAME
+ N NXT,PIEN,TPIEN,PNAME,TPIEN,NODE,PTP,TPI,TPN,CLIEN,CNAME,PTA,PTAN,TIEN
+ N PC,TNODE,TNAME,PINF,POSN,PRCP
  S NXT=0
  F  S NXT=$O(@ARY@(NXT)) Q:NXT=""!(NXT'?.N)  D
@@ -49,31 +49,18 @@
  .I $G(ROLE)'=1,'$D(ROLE(+$P(TPN,U,3))) Q  ;not a selected role
  .S POSN=$P(TPN,"^") ;position name
- .D SETASCL^SCRPRAC2(TPI,.CNAME,.CLIEN)  ;get clinics from multiple
- .;S CLIEN=+$P(TPN,"^",9) ;associated clinic ien
+ .S CLIEN=+$P(TPN,"^",9) ;associated clinic ien
  .;commented next line off - clinic enrollment no longer needed SD*5.3*433
  .;D CECHK(CLIEN,.CNAME,PIEN) ;is patient enrolled in associated clinic?
- .;S CNAME=$P($G(^SC(CLIEN,0)),"^")  ; SD*5.3*433 remove enroll check
+ .S CNAME=$P($G(^SC(CLIEN,0)),"^")  ; SD*5.3*433 remove enroll check
  .S PC=$S($P(PTP,"^",5)=0:0,1:1) ;primary care position 1or2-yes/0-no
  .S PNAME=$P($G(^VA(200,+PRAC,0)),"^") ;practitioner name
  .Q:PNAME=""
  .S PRCP=$P($$OKPREC2^SCMCLK(TPI,DT),U,2)
- .D GETPINF(PIEN,.CLIEN,.PINF)  ;get patient information and appointments
- .S CNAME=$G(CNAME(0))  ;first line will capture position information
- .S PINF=$G(PINF(0))
- .I PINF=""  D 
- ..S PINF=PIEN_"^"_$$PDATA^SCRPEC(PIEN,CNAME,CNAME,1)
- .D FORMAT(CNAME,PINF,PC,TIEN,TNAME,PRAC,PNAME,POSN,TPI,PRCP)
- .D SETFORM(PIEN,.CNAME,.PINF)
-SETFORM(PIEN,CNAME,PINF)  ;Format for clinic info only for multiples
- N SCCNT
- S SCCNT=0 F  S SCCNT=$O(PINF(SCCNT)) Q:SCCNT=""  D FORMATAC(CNAME(SCCNT),PINF(SCCNT),PC,TIEN,TNAME,PRAC,PNAME,POSN,TPI,PRCP)
- Q
-GETPINF(PIEN,CLIEN,PINF)  ;get patient info 
- N SCCNT
- S SCCNT="" F  S SCCNT=$O(CLIEN(SCCNT)) Q:SCCNT=""  D 
- .S PINF(SCCNT)=PIEN_"^"_$$PDATA^SCRPEC(PIEN,CLIEN(SCCNT),CNAME(SCCNT),1)
+ .S PINF=PIEN_"^"_$$PDATA^SCRPEC(PIEN,CLIEN,1)
+ .;$$PDATA returns pt name,pid,mt,pelig,status,status date,last appt,nxt appt
+ .D FORMAT(CNAME,PINF,PC,TIEN,TNAME,PRAC,PNAME,POSN,TPI,PRCP) ;formats data for display
  Q
  ;
-CECHK(CLIEN,CNAME,PIEN) ;should no longer be used as of patch SD*5.3*433
+CECHK(CLIEN,CNAME,PIEN) ;
  ;CLIEN - clinic ien
  ;CNAME - clinic name returned if patient is enrolled in clien clinic
@@ -112,26 +99,5 @@
  Q
  ;
-FORMATAC(CNAME,PINF,PC,TIEN,TNAME,PRAC,PNAME,POSN,TPI,PRCP) ; format data for display
- ;CNAME - clinic name
- ;PINF - patient/clinic data
- ;PC - primary care 1/0
- ;TIEN - team file ien (#404.51)
- ;TNAME - team name
- ;PRAC - practitioner ien (#200)
- ;PNAME - practitioner name
- ;POSN - position name
- ;TPI - team position ien (#404.57)
- ;PRCP - preceptor name
- ;
- N IIEN,INAME,ERR
- S ERR=$$SETUP^SCRPPAT3(.IIEN,.INAME,TIEN,TNAME,PRAC,PNAME,POSN,TPI,PRCP)
- I ERR Q
- ;
- I SORT=1 D STORA(IIEN,TIEN,PRAC,PINF,PNAME,TNAME,TPI,SCCNT) ;sort division,team,practitioner
- I SORT=2 D STORA(IIEN,PRAC,TIEN,PINF,PNAME,TNAME,TPI,SCCNT) ;sort division,practitioner,team
- I SORT=3 D STORA(1,PRAC,1,PINF,PNAME,"T3",TPI,SCCNT)
- Q
- ;
-STOR(IIEN,SEC,TRD,PINF,PNAME,TNAME,TPI,SCCNT) ;
+STOR(IIEN,SEC,TRD,PINF,PNAME,TNAME,TPI) ;
  ;IIEN - ien institution
  ;SEC - second sort subscript, IEN team or IEN practitioner
@@ -144,7 +110,8 @@
  N PIEN,PTNAME,PID
  S PIEN=+$P(PINF,"^") ;patient ien 
- S PTNAME=$E($P(PINF,"^",2),1,10) ;patient name
+ S PTNAME=$E($P(PINF,"^",2),1,15) ;patient name
  Q:$D(@STORE@("PT",IIEN,SEC,TRD,TPI,PTNAME,PIEN))
  S @STORE@("PT",IIEN,SEC,TRD,TPI,PTNAME,PIEN)=""
+ ;
  I 'SUMM,'$D(@STORE@("PTOT",IIEN,SEC,TRD,PIEN)) D
  .;count each unique patient for any given practitioner for grand total
@@ -157,5 +124,5 @@
  S @STORE@(IIEN,SEC,TRD,TPI,PIEN)=PTNAME
  S PID=$P(PINF,"^",3),PID=$TR(PID,"-","")
- S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN),13)=PID ;ssn
+ S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN),18)=$E(PID,6,10) ;last 4 pid - 5 places is for any pseudo
  S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN),25)=$P(PINF,"^",4) ;means test status
  S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN),31)=$P(PINF,"^",5) ;eligibility
@@ -166,9 +133,2 @@
  S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN),66)=$E(CNAME,1,15) ;clinic
  Q
-STORA(IIEN,SEC,TRD,PINF,PNAME,TNAME,TPI,SCCNT) ;
- I '$D(@STORE@(IIEN,SEC,TRD,TPI,PIEN,SCCNT))  D
- .S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN,SCCNT),42)=$P(PINF,"^",8) ;last appt
- .S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN,SCCNT),54)=$P(PINF,"^",9) ;nxt appt
- .S $E(@STORE@(IIEN,SEC,TRD,TPI,PIEN,SCCNT),66)=$E(CNAME,1,15) ;clinic
- .Q
- Q 
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPPAT3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPPAT3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPPAT3.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPPAT3 ;ALB/CMM - Practitioner's Patients ; 8/30/99 3:14pm
- ;;5.3;Scheduling;**41,52,148,174,181,177,297,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,52,148,174,181,177,297**;AUG 13, 1993
  ;
  ;Listing of Practitioner's Patients
@@ -12,16 +12,9 @@
  .S PT=0
  .F  S PT=$O(@STORE@("PT",INS,SEC,TRD,POS,PTN,PT)) Q:'PT!(STOP)  D
+ ..I (IOST'?1"C-".E),$Y>(IOSL-5) S MORE=0 D NEWP1^SCRPU3(.PAGE,TITL) D:'STOP HEAD2(INS,SEC,TRD,SEC3,ST3,ST4,POS) D:(('FIRST&'STOP)!($G(SORT)=3)) HEADER
+ ..I (IOST?1"C-".E),$Y>(IOSL-5) S MORE=0 D HOLD^SCRPU3(.PAGE,TITL) D:'STOP HEAD2(INS,SEC,TRD,SEC3,ST3,ST4,POS) D:'FIRST&'STOP HEADER
+ ..Q:STOP
  ..I FIRST D HEADER S FIRST=0
  ..W !,$G(@STORE@(INS,SEC,TRD,POS,PT)) ;print patient detail line
- ..;I FIRST D HEADER S FIRST=0
- ..N SCCN
- ..S SCCN=""
- ..F  S SCCN=$O(@STORE@(INS,SEC,TRD,POS,PT,SCCN)) Q:SCCN=""  D
- ...W !,$G(@STORE@(INS,SEC,TRD,POS,PT,SCCN)) ;print patient detail line
- ...I (IOST'?1"C-".E),$Y>(IOSL-5) S MORE=0 D NEWP1^SCRPU3(.PAGE,TITL) D:'STOP HEAD2(INS,SEC,TRD,SEC3,ST3,ST4,POS) D:(('FIRST&'STOP)!($G(SORT)=3)) HEADER
- ...I (IOST?1"C-".E),$Y>(IOSL-5) S MORE=0 D HOLD^SCRPU3(.PAGE,TITL) D:'STOP HEAD2(INS,SEC,TRD,SEC3,ST3,ST4,POS) D:'FIRST&'STOP HEADER
- ...Q:STOP
- ...;I FIRST D HEADER S FIRST=0
- ...Q
  ..Q
  .Q
@@ -74,5 +67,5 @@
 SHEAD ;
  S @STORE@("H2")="Pt Name"
- S $E(@STORE@("H2"),15)="Pt ID"
+ S $E(@STORE@("H2"),18)="Pt ID"
  S $E(@STORE@("H1"),25)="M.T."
  S $E(@STORE@("H2"),25)="Stat"
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPRAC2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPRAC2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPRAC2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPRAC2 ;ALB/CMM - Practitioner Demographics continued ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,177,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,177**;AUG 13, 1993
  ;
  ;Practitioner Demographics Report
@@ -40,6 +40,5 @@
  .S MAX=$P(NODE,"^",8) ;max patient assignments to position
  .S ASSIGN=+$$PCPOSCNT^SCAPMCU1(PIEN,DT,0) ;assigned patients
- .N CNAME,SCCLIEN
- .D SETASCL(PIEN,.CNAME,.SCCLIEN) ;associated clinics
+ .S CNAME=$P($G(^SC(+$P(NODE,U,9),0)),U) ;associated clinic
  .;
  .;Get preceptor
@@ -57,6 +56,6 @@
  .D SET1("Phone",PHONE),SET2("Pts. Assigned",ASSIGN)
  .I $L($G(PRCP)) D SET3(1,"Preceptor: "_PRCP)
- .D SET3(4,"Assoc. Clinic: ")
- .D SETCNAME(.CNAME)
+ .D SET3(4,"Assoc.")
+ .D SET3(4,"Clinic: "_CNAME)
  .I $L(PCLASS(1)) D
  ..D SET3(4,"Person"),SET3(5,"Class: "_PCLASS(1)) D
@@ -83,10 +82,4 @@
  Q
  ;
-SETASCL(PIEN,CNAME,SCCLIEN) ;SET ASSOCIATED CLINICS
- N I,CNT1
- S CNT1=0,I=0
- F  S I=$O(^SCTM(404.57,PIEN,5,I)) Q:'I  D
- .S SCCLIEN(CNT1)=I,CNAME(CNT1)=$P($G(^SC(I,0)),U),CNT1=CNT1+1
- Q
 SET1(LABEL,VALUE) ;Set output line
  S SCLN=SCLN+1
@@ -109,11 +102,6 @@
  Q
  ;
-SETCNAME(CNAME) ;associated clinics 
- N A
- S A="" F  S A=$O(CNAME(A)) Q:A=""  D SET3(12,CNAME(A))
- Q
- ;
 PINFO(VAE,PRACT,OPH,ROOM,SERV) ;
- ;practitioner information from new person file
+ ;practitioner information form new person file
  S PRACT=$P($G(^VA(200,VAE,0)),"^") ;practitioner name
  S OPH=$P($G(^VA(200,VAE,.13)),"^",2) ;office phone
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPSLT.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPSLT.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPSLT.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPSLT ;ALB/CMM - Summary Listing of Teams ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,52,177,231,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,52,177,231**;AUG 13, 1993
  ;
  ;Summary Listing of Teams Report
@@ -105,5 +105,5 @@
  ;
 PRINTIT(STORE,TITL) ;
- N INST,EINST,ETEAM,TEM,EPRACT,PRACT,NXT,PAGE,NPAGE,NEW,POS,SCAC
+ N INST,EINST,ETEAM,TEM,EPRACT,PRACT,NXT,PAGE,NPAGE,NEW,POS
  S (INST,EINST)="",(NPAGE,STOP)=0,PAGE=1 W:$E(IOST)="C" @IOF
  D TITLE^SCRPU3(.PAGE,TITL)
@@ -130,12 +130,8 @@
  ...S POS=""
  ...F  S POS=$O(@STORE@(INST,TEM,PRACT,POS)) Q:POS=""!(STOP)  D
- ....W !,$G(@STORE@(INST,TEM,PRACT,POS))
- ....S SCAC=""
- ....F  S SCAC=$O(@STORE@(INST,TEM,PRACT,POS,SCAC)) Q:SCAC=""!(STOP)  D
- .....W !,$G(@STORE@(INST,TEM,PRACT,POS,SCAC))
- .....I IOST'?1"C-".E,$Y>(IOSL-4) D NEWP^SCRPSLT2(INST,TEM,TITL,.PAGE)
- .....I IOST?1"C-".E,$Y>(IOSL-4) D HOLD1^SCRPSLT2(.PAGE,TITL,INST,TEM)
- .....I STOP Q
- ....;W !,$G(@STORE@(INST,TEM,PRACT,POS)) ;writes info
+ ....I IOST'?1"C-".E,$Y>(IOSL-4) D NEWP^SCRPSLT2(INST,TEM,TITL,.PAGE)
+ ....I IOST?1"C-".E,$Y>(IOSL-4) D HOLD1^SCRPSLT2(.PAGE,TITL,INST,TEM)
+ ....I STOP Q
+ ....W !,$G(@STORE@(INST,TEM,PRACT,POS)) ;writes info
  ..Q:STOP
  ..I IOST'?1"C-".E,$Y>(IOSL-8) D NEWP^SCRPSLT2(INST,TEM,TITL,.PAGE,1)
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPSLT2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPSLT2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPSLT2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPSLT2 ;ALB/CMM - Summary Listing of Teams Continued ; 9/15/99 10:43am
- ;;5.3;Scheduling;**41,174,177,231,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,174,177,231**;AUG 13, 1993
  ;
  ;Summary Listing of Teams Report
@@ -23,8 +23,6 @@
  S POS=$P(TNODE,"^") ;position name
  ;SD*5.3*231 - call SCMCLK to determine in AP or not
- S PPC=$S($P(TNODE,"^",4)<1:"NPC",+$$OKPREC3^SCMCLK(APOS,DT)>0:" AP",1:"PCP") ;PC?
- ;S PCLIN=$P($G(^SC(+$P(TNODE,"^",9),0)),"^") ;associated clinic
- D SETASCL^SCRPRAC2(APOS,.PCLIN)
- S PCLIN=$G(PCLIN(0))
+ S PPC=$S($P(TNODE,"^",4)<1:"NPC",+$$OKPREC3^SCMCLK(APOS,DT)>1:" AP",1:"PCP") ;PC?
+ S PCLIN=$P($G(^SC(+$P(TNODE,"^",9),0)),"^") ;associated clinic
  S ROLN=$P($G(^SD(403.46,+ROL,0)),U) ;role name
  ;
@@ -57,7 +55,4 @@
  ;
  D FORMAT(APOS,POS,PCLIN,VAE,PRACT,PPC,DIV,TM,NPC,MAX,PCN,XDAT)
- N SCAC
- S SCAC=0
- F  S SCAC=$O(PCLIN(SCAC)) Q:SCAC=""  D FORMATAC(APOS,POS,PCLIN(SCAC),VAE,DIV,TM)
  Q
  ;
@@ -99,7 +94,4 @@
  S $E(@STORE@(DIV,TM,VAE,APOS),128)=$J(TMP(2),5,0) ;precepted NPC
  ;New code ends
- Q
-FORMATAC(APOS,POS,PCLIN,VAE,DIV,TM) ;clinic multiples
- S $E(@STORE@(DIV,TM,VAE,APOS,SCAC),72)=$E(PCLIN,1,30)
  Q
  ;
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTA.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTA.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTA.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTA ;ALB/CMM - Patient Listing w/Team Assignment Data ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,48,52,114,174,181,177,526**;AUG 13, 1993;Build 8
+ ;;5.3;Scheduling;**41,48,52,114,174,181,177**;AUG 13, 1993
  ;
  ;Patient Listing w/Team Assignment Data Report
@@ -149,5 +149,5 @@
  ;setup column headers
  S @STORE@("H2")="Patient Name"
- S $E(@STORE@("H2"),19)="Pt ID"
+ S $E(@STORE@("H2"),24)="Pt ID"
  S $E(@STORE@("H1"),31)="Date"
  S $E(@STORE@("H2"),31)="Assigned"
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTA2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTA2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTA2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTA2 ;ALB/CMM - Patient Listing w/Team Assignment Data ; 30 Jun 99  1:33 PM
- ;;5.3;Scheduling;**41,88,140,148,174,181,177,526**;AUG 13, 1993;Build 8
+ ;;5.3;Scheduling;**41,88,140,148,174,181,177**;AUG 13, 1993
  ;
  ;Patient Listing w/Team Assignment Data Report continued
@@ -70,6 +70,5 @@
  S PTNAME=$P($G(^DPT(PIEN,0)),"^") ;patient name
  S PID=$P($G(^DPT(PIEN,.36)),"^",3),PID=$TR(PID,"-","")
- ;9 digit ssn SD*5.3*526 - dmr
- ;S PID=$E(PID,6,10) ;last four pid include 5th for pseudo notation
+ S PID=$E(PID,6,10) ;last four pid include 5th for pseudo notation
  ;
  S ADATE=$P(NODE,"^",3) ;position assignment date - fm format
@@ -119,6 +118,6 @@
  S $E(@STORE@(IIEN,TIEN),40)="Primary Care Team: "_$S(PC=1:"YES",1:"NO")
  ;
- S @STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN)=$E(PTNAME,1,17)
- S $E(@STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN),19)=PID
+ S @STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN)=$E(PTNAME,1,21)
+ S $E(@STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN),24)=PID
  S $E(@STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN),31)=ADATE
  S $E(@STORE@(IIEN,TIEN,PIEN,TPIEN,PTNAME,PTIEN),43)=PCAP
@@ -140,5 +139,5 @@
  S PTNAME=$E($P($G(^DPT(PIEN,0)),"^"),1,20) ;patient name
  S PID=$P($G(^DPT(PIEN,.36)),"^",3),PID=$TR(PID,"-","")
- ;S PID=$E(PID,6,10) ;9 digit ssn patch 526
+ S PID=$E(PID,6,10) ;last 4 plus 5th for psuedo
  ;
  S TIEN=+$P($G(^SCPT(404.42,PTIEN,0)),"^",3) ;team ien
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTM.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTM.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTM.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTM ;ALB/CMM - List of Team's Members Report ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,48,52,181,177,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,48,52,181,177**;AUG 13, 1993
  ;
  ;List of Team's Members Report
@@ -154,5 +154,5 @@
 PRNTD(INST,TEM,PRACT,POS,TITL,PAGE,HEAD) ;
  ;
- N CNT,SCAC
+ N CNT
  S CNT=""
  I IOST'?1"C-".E,$Y>(IOSL-11) D NEWP^SCRPTM2(INST,TEM,TITL,.PAGE,.HEAD)
@@ -161,6 +161,3 @@
  F  S CNT=$O(@STORE@(INST,TEM,PRACT,POS,CNT)) Q:CNT=""!(STOP)  D
  .W !,$G(@STORE@(INST,TEM,PRACT,POS,CNT))
- .S SCAC="" I CNT=4  D
- ..F  S SCAC=$O(@STORE@(INST,TEM,PRACT,POS,4,SCAC)) Q:SCAC=""!(STOP)  D
- ...W !,$G(@STORE@(INST,TEM,PRACT,POS,4,SCAC))
  Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTM2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTM2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTM2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTM2 ;ALB/CMM - List of Team's Members Report Continued;01/29/96 ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,140,177,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,140,177**;AUG 13, 1993
  ;
  ;List of Team's Members Report
@@ -31,8 +31,6 @@
  .;
  .S TPNODE=$G(^SCTM(404.57,+TPIEN,0))
- .D SETASCL^SCRPRAC2(TPIEN,.PCLIN)
- .S PCLIN=$G(PCLIN(0))
- .;S PCLIN=+$P(TPNODE,"^",9) ;associated clinic ien
- .;S PCLIN=$P($G(^SC(PCLIN,0)),"^") ;associated clinic name
+ .S PCLIN=+$P(TPNODE,"^",9) ;associated clinic ien
+ .S PCLIN=$P($G(^SC(PCLIN,0)),"^") ;associated clinic name
  .;
  .;Get preceptor
@@ -53,7 +51,4 @@
  .;
  .D FORMAT(PNAME,TPIEN,PCLIN,RNAME,UNAME,ACT,INACT,PRIEN,PRNAME,OPH,ROOM,SERV,INS,TIEN,PRCP,.PCLASS)
- .N SCAC
- .S SCAC=0
- .F  S SCAC=$O(PCLIN(SCAC)) Q:SCAC=""  D FORMATAC(INS,TIEN,PRIEN,TPIEN,PCLIN(SCAC))
  Q
  ;
@@ -110,8 +105,4 @@
  Q
  ;
-FORMATAC(DIV,TEM,PIEN,TPIEN,PCLIN) ;
- S $E(@STORE@(DIV,TEM,PIEN,TPIEN,4,SCAC),49)=$E(PCLIN,1,30)
- Q
- ;
 NEWP(INST,TEM,TITL,PAGE,HEAD) ;
  ;new page
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTP.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTP ;ALB/CMM - List of Team's Patients ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,48,174,177,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,48,174,177**;AUG 13, 1993
  ;
 PROMPTS ;Prompt for Institution, Team, Role, Patient Status and Print device
@@ -20,5 +20,5 @@
  ;ROLE - roles selected (variable and array) 
  ;PSTAT - patient status - 1=all or OPT or AC 
- ;SORT - 1=d,t,ptname 2=d,t,Pt ID 3=d,t,pract,pt name 4=d,t,pract,Pt ID
+ ;SORT - 1=d,t,ptname 2=d,t,last 4 Pt ID 3=d,t,pract,pt name 4=d,t,pract,last 4 Pt ID
  N ZTSAVE,II
  F II="INST","TEAM","ROLE","ROLE(","SORT","PSTAT","INST(","TEAM(" S ZTSAVE(II)=""
@@ -31,5 +31,5 @@
  ;ROLE - roles selected (variable and array)
  ;PSTAT - patient status - 1=all or OPT or AC
- ;SORT - 1=d,t,ptname 2=d,t,Pt ID 3=d,t,pract,pt name 4=d,t,pract,Pt ID
+ ;SORT - 1=d,t,ptname 2=d,t,last 4 Pt ID 3=d,t,pract,pt name 4=d,t,pract,last 4 Pt ID
  ;IOP - print device
  ;ZTDTH - queue time (optional)
@@ -114,37 +114,5 @@
  Q FOUND
  ;
-FORMAT(INS,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,CNAME,PINF,ROLN,PCAP) ;Format column information
- ;INS - Institution ien
- ;TIEN - team ien
- ;PTIEN - patient ien
- ;PTNAME - patient name
- ;PID - SSN
- ;PIEN - practitioner ien
- ;PNAME - practitioner name
- ;CNAME - clinic name
- ;LAST - last appointment
- ;NEXT - next appointment
- ;ROLN - role name
- ;PCAP - PC?
- ;
- N SEC,TRD
- I PNAME="" S PNAME="[BAD DATA]"
- I PTNAME="" S PTNAME="[BAD DATA]"
- I PID="" S PID="*********"
- S @STORE@("P",INS,TIEN,PNAME,PIEN)="" ;practitioner
- S @STORE@("PT",INS,TIEN,PTNAME,PTIEN)="" ;patient
- S @STORE@("PID",INS,TIEN,PID,PTIEN)=""
- I (SORT=1)!(SORT=2) S SEC=PTIEN,TRD=PIEN ;sort doesn't include practitioner
- I (SORT=3)!(SORT=4) S SEC=PIEN,TRD=PTIEN ;sort includes practitioner
- S @STORE@(INS,TIEN,SEC,TRD)=$E(PTNAME,1,15) ;patient name
- S $E(@STORE@(INS,TIEN,SEC,TRD),18)=PID ;9 digit pid
- S $E(@STORE@(INS,TIEN,SEC,TRD),32)=$E(PNAME,1,22) ;practitioner name
- S $E(@STORE@(INS,TIEN,SEC,TRD),56)=$E($G(ROLN),1,22) ;role name
- S $E(@STORE@(INS,TIEN,SEC,TRD),80)=$G(PCAP) ;PC?
- S $E(@STORE@(INS,TIEN,SEC,TRD),85)=$P(PINF,"^",8) ;last appointment
- S $E(@STORE@(INS,TIEN,SEC,TRD),97)=$P(PINF,"^",9) ;next appointment
- S $E(@STORE@(INS,TIEN,SEC,TRD),109)=$E(CNAME,1,24) ;clinic name
- Q
-FORMATAC(SCCNT,CNAME,PINF,INS,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,ROLN,PCAP) ;Format MULTIPLES
+FORMAT(INS,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,CNAME,LAST,NEXT,ROLN,PCAP) ;Format column information
  ;INS - Institution ien
  ;TIEN - team ien
@@ -170,8 +138,11 @@
  I (SORT=1)!(SORT=2) S SEC=PTIEN,TRD=PIEN ;sort doesn't include practitioner
  I (SORT=3)!(SORT=4) S SEC=PIEN,TRD=PTIEN ;sort includes practitioner
- I '$D(@STORE@(INS,TIEN,SEC,TRD,SCCNT))  D
- .S $E(@STORE@(INS,TIEN,SEC,TRD,SCCNT),85)=$P(PINF,"^",8) ;last appointment
- .S $E(@STORE@(INS,TIEN,SEC,TRD,SCCNT),97)=$P(PINF,"^",9) ;next appointment
- .S $E(@STORE@(INS,TIEN,SEC,TRD,SCCNT),109)=$E(CNAME,1,24) ;clinic name
- .Q
+ S @STORE@(INS,TIEN,SEC,TRD)=$E(PTNAME,1,22) ;patient name
+ S $E(@STORE@(INS,TIEN,SEC,TRD),25)=PID ;last 4 pid
+ S $E(@STORE@(INS,TIEN,SEC,TRD),32)=$E(PNAME,1,22) ;practitioner name
+ S $E(@STORE@(INS,TIEN,SEC,TRD),56)=$E($G(ROLN),1,22) ;role name
+ S $E(@STORE@(INS,TIEN,SEC,TRD),80)=$G(PCAP) ;PC?
+ S $E(@STORE@(INS,TIEN,SEC,TRD),85)=LAST ;last appointment
+ S $E(@STORE@(INS,TIEN,SEC,TRD),97)=NEXT ;next appointment
+ S $E(@STORE@(INS,TIEN,SEC,TRD),109)=$E(CNAME,1,24) ;clinic name
  Q
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP2.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTP2.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP2.m	(revision 636)
@@ -1,4 +1,4 @@
 SCRPTP2 ;ALB/CMM - List of Team's Patients ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,53,52,174,177,231,526,520**;AUG 13, 1993;Build 26
+ ;;5.3;Scheduling;**41,53,52,174,177,231**;AUG 13, 1993
  ;
  ;List of Team's Patients Report
@@ -73,7 +73,4 @@
  . . . . Q:STOP
  . . . . I $D(@STORE@(INST,TIEN,PIEN,TRDI)) W !,$G(@STORE@(INST,TIEN,PIEN,TRDI)) ;write column data
- . . . . N SCACL
- . . . . S SCACL="" F  S SCACL=$O(@STORE@(INST,TIEN,PIEN,TRDI,SCACL)) Q:SCACL=""  D
- . . . . . W !,$G(@STORE@(INST,TIEN,PIEN,TRDI,SCACL))
  . S NEW=0
  Q
@@ -102,7 +99,4 @@
  . . . . Q:STOP
  . . . . I $D(@STORE@(INST,TIEN,TRDI,PIEN)) W !,$G(@STORE@(INST,TIEN,TRDI,PIEN)) ;write column data
- . . . . N SCACL
- . . . . S SCACL="" F  S SCACL=$O(@STORE@(INST,TIEN,TRDI,PIEN,SCACL)) Q:SCACL=""  D
- . . . . . W !,$G(@STORE@(INST,TIEN,TRDI,PIEN,SCACL))
  . S NEW=0
  Q
@@ -137,5 +131,5 @@
 SETH ;sets column headings
  S @STORE@("H2")="Patient Name"
- S $E(@STORE@("H2"),18)="Pt ID"
+ S $E(@STORE@("H2"),25)="Pt ID"
  S $E(@STORE@("H2"),32)="Practitioner"
  S $E(@STORE@("H2"),56)="Role"
Index: FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP3.m
===================================================================
--- FOIAVistA/trunk/r/SCHEDULING-SD-SC/SCRPTP3.m	(revision 631)
+++ FOIAVistA/tag/r/SCHEDULING-SD-SC/SCRPTP3.m	(revision 636)
@@ -1,5 +1,4 @@
 SCRPTP3 ;ALB/CMM - List of Team's Patients ; 29 Jun 99  04:11PM
- ;;5.3;Scheduling;**41,48,98,177,231,433,526,520**;AUG 13, 1993;Build 26
- ;;DMR BP-OIFO Patch SD*5.3*526
+ ;;5.3;Scheduling;**41,48,98,177,231,433**;AUG 13, 1993
  ;
  ;List of Team's Patients Report
@@ -25,15 +24,54 @@
  .S DFN=PTIEN
  .D PID^VADPT6
- .;S PID=VA("BID")
- .S PID=$E(VA("PID"),1,3)_$E(VA("PID"),5,6)_$E(VA("PID"),8,12)
+ .S PID=VA("BID")
  .;
- .N CNAME,PINF,CLIEN
+ .S TPA=$$TPAR(PTAI,"")
+ .I TPA'=-1 D
+ ..S PIEN=$P(TPA,"^")
+ ..S PNAME=$P(TPA,"^",2)
+ ..S CNAME=$P(TPA,"^",3)
+ ..S LAST=$P(TPA,"^",4)
+ ..S NEXT=$P(TPA,"^",5)
+ ..;
+ ..S FLAG="Y"
+ ..S TINFO=$$TINF^SCRPTP(TIEN) ;team information
+ ..S INST=+$P(TINFO,"^") ;institution ien
+ ..S INAME=$P($G(^DIC(4,INST,0)),"^") ;institution name
+ ..S PHONE=$P(TINFO,"^",4) ;team phone
+ ..S PC=$P(TINFO,"^",3) ;primary care?
+ ..S TNAME=$P(TINFO,"^",2) ;team name
+ ..;
+ ..D TFORMAT^SCRPTP2(INST,INAME,TIEN,TNAME,PHONE,PC)
+ ..D FORMAT^SCRPTP(INST,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,CNAME,LAST,NEXT)
+ .;
+ .;check for other assignments
+ .N TPIN
  .S CNT=""
  .F  S CNT=$O(^SCPT(404.43,"B",PTAI,CNT)) Q:CNT=""!(CNT'?.N)  D
- ..D TPAR(PTAI,CNT,.PINF,.CNAME,.CLIEN,.PNAME,.ROLN,.PCAP)
+ ..S TPIN=$$TPAR(PTAI,CNT)
+ ..Q:TPIN=-1
+ ..S PIEN=$P(TPIN,"^")
+ ..S PNAME=$P(TPIN,"^",2)
+ ..S CNAME=$P(TPIN,"^",3)
+ ..S LAST=$P(TPIN,"^",4)
+ ..S NEXT=$P(TPIN,"^",5)
+ ..S ROLN=$P(TPIN,U,6)
+ ..S PCAP=$P(TPIN,U,7)
+ ..I '$D(FLAG) D
+ ...S TINFO=$$TINF^SCRPTP(TIEN) ;team information
+ ...S INST=+$P(TINFO,"^") ;institution ien
+ ...S INAME=$P($G(^DIC(4,INST,0)),"^") ;institution name
+ ...S PHONE=$P(TINFO,"^",4) ;team phone
+ ...S PC=$P(TINFO,"^",3) ;primary care?
+ ...S TNAME=$P(TINFO,"^",2) ;team name
+ ...;
+ ...D TFORMAT^SCRPTP2(INST,INAME,TIEN,TNAME,PHONE,PC)
+ ..D FORMAT^SCRPTP(INST,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,CNAME,LAST,NEXT,ROLN,PCAP)
+ I INACTIVE S @STORE@(INST,TIEN,"INACT")=""
  Q
  ;
-TPAR(PTAI,START,PINF,CNAME,CLIEN,PNAME,ROLN,PCAP) ;
- N PTPA,TPIEN,TPNODE,ROL,CIEN,ENROLL,OKAY,NEXT,LAST,PAIEN
+TPAR(PTAI,START) ;
+ N PTPA,TPIEN,TPNODE,ROL,CNAME,CIEN,ENROLL,OKAY,PNAME,NEXT,LAST,PAIEN
+ N ROLN,PCAP
  I '$D(^SCPT(404.43,"B",PTAI)) Q "0^[Not Assigned]"
  ; ^ no patient team position assignment
@@ -43,5 +81,5 @@
  .S PTPA=START
  I PTPA="" Q "0^[Not Assigned]"
- S PTPAN=$G(^SCPT(404.43,PTPA,0))  ;patient team assignment
+ S PTPAN=$G(^SCPT(404.43,PTPA,0)) ;patient team position assignment node
  I PTPAN=""!(PTPAN=0) Q "0^[Not Assigned]"
  I $P(PTPAN,"^",4)'="",$P(PTPAN,"^",4)<DT Q -1
@@ -57,5 +95,12 @@
  S PCAP=$S($P(PTPAN,U,5)<1:"NPC",+$$OKPREC3^SCMCLK(TPIEN,DT)>0:" AP",1:"PCP") ;PC?
  ;
- D SETASCL^SCRPRAC2(TPIEN,.CNAME,.CLIEN)
+ S CIEN=+$P(TPNODE,"^",9) ;associated clinic ien
+ S CNAME=$P($G(^SC(CIEN,0)),"^") ;clinic name
+ ;check patient status
+ S OKAY=""
+ I CIEN>0&(PSTAT'=1) S OKAY=$$PST^SCRPTP(PTIEN,CIEN)
+ Q:(CIEN>0)&('OKAY)&(PSTAT'=1) -1
+ ; ^ not selected patient status
+ ;
  ;next two lines commented off - SD*5.3*433
  ;S ENROLL=$$ENRL(PTIEN,CIEN) ;enrolled in associated clinic
@@ -67,37 +112,24 @@
  I +PAIEN=0 S PIEN=0,PNAME="[Inactive Position]"
  ;
- D GETPINF^SCRPPAT2(PTIEN,.CLIEN,.PINF)  ;get patient info
- S CNAME=$G(CNAME(0))
- S PINF=$G(PINF(0))
- I PINF="" D
- .S PINF=PIEN_"^"_$$PDATA^SCRPEC(PIEN,CNAME,CNAME,1)
- I INACTIVE S @STORE@(INS,TIEN,"INACT")=""
- S FLAG="Y"
- S TINFO=$$TINF^SCRPTP(TIEN) ;team information
- S INST=+$P(TINFO,"^") ;institution ien
- S INAME=$P($G(^DIC(4,INST,0)),"^") ;institution name
- S PHONE=$P(TINFO,"^",4) ;team phone
- S PC=$P(TINFO,"^",3) ;primary care?
- S TNAME=$P(TINFO,"^",2) ;team name
- D TFORMAT^SCRPTP2(INST,INAME,TIEN,TNAME,PHONE,PC)
- D FORMAT^SCRPTP(INS,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,CNAME,PINF,ROLN,PCAP)
- N SCCNT
- S SCCNT=0 F  S SCCNT=$O(CNAME(SCCNT)) Q:SCCNT=""  D FORMATAC^SCRPTP(SCCNT,CNAME(SCCNT),PINF(SCCNT),INS,TIEN,PTIEN,PTNAME,PID,PIEN,PNAME,ROLN,PCAP)
- Q
+ S (NEXT,LAST)=""
+ I +CIEN>0 S NEXT=$$GETNEXT^SCRPU3(PTIEN,CIEN) ;next appointment
+ I +CIEN>0 S LAST=$$GETLAST^SCRPU3(PTIEN,CIEN) ;last appointment
  ;
-ENRL(PTIEN,CLIEN) ;FUNCTIONALITY DISABLED
+ Q PIEN_U_PNAME_U_CNAME_U_LAST_U_NEXT_U_ROLN_U_PCAP
  ;
- ;N FOUND,ENODE,EN,NXT
- ;S FOUND=0
- ;Q:'$D(^DPT(PTIEN,"DE","B",CLIEN)) FOUND
- ;S EN=$O(^DPT(PTIEN,"DE","B",CLIEN,""))
- ;Q:EN=""!'$D(^DPT(PTIEN,"DE",EN,1)) FOUND
- ;S NXT=""
- ;F  S NXT=$O(^DPT(PTIEN,"DE",EN,1,NXT)) Q:(FOUND)!(NXT="")!(NXT'?.N)  D
- ;check if active enrollment
- ;S ENODE=$G(^DPT(PTIEN,"DE",EN,1,NXT,0))
- ;I $P(ENODE,"^",3)'="",$P(ENODE,"^",3)<DT+1!$P(ENODE,"^")>DT Q  ;not active enrollment
- ;;                      ^ discharge date     ^ enrollment date
+ENRL(PTIEN,CLIEN) ;
+ ;
+ N FOUND,ENODE,EN,NXT
  S FOUND=0
+ Q:'$D(^DPT(PTIEN,"DE","B",CLIEN)) FOUND
+ S EN=$O(^DPT(PTIEN,"DE","B",CLIEN,""))
+ Q:EN=""!'$D(^DPT(PTIEN,"DE",EN,1)) FOUND
+ S NXT=""
+ F  S NXT=$O(^DPT(PTIEN,"DE",EN,1,NXT)) Q:(FOUND)!(NXT="")!(NXT'?.N)  D
+ .;check if active enrollment
+ .S ENODE=$G(^DPT(PTIEN,"DE",EN,1,NXT,0))
+ .I $P(ENODE,"^",3)'="",$P(ENODE,"^",3)<DT+1!$P(ENODE,"^")>DT Q  ;not active enrollment
+ .;                      ^ discharge date     ^ enrollment date
+ .S FOUND=1
  Q FOUND
  ;
